package edu.uoc.jsev.b4b.data;

/**
 * Callback genérico con la respuesta devuelta desde el backend
 * tras una petición asíncrona realizada desde la aplicación.
 *
 * @param <T> Tipo de la entidad/respuesta devuelta por el backend.
 */
public interface ServiceCallback<T> {
    /**
     * Callback que se invoca cuando se recibe respuesta
     * correcta desde el backend.
     *
     * @param response Entidad/respuesta devuelta por el backend.
     */
    void onSuccess(T response);

    /**
     * Callback que se invoca cuando se recibe una respuesta
     * de error desde el backend.
     *
     * @param fault Error devuelto por el backend.
     */
    void onError(ServiceFault fault);
}
