package edu.uoc.jsev.b4b.data.backendless.model;

import java.util.Date;

/**
 * Clase base de la que extienden todas las entidades de negocio.
 * Contiene los elementos comunes a todas, tales como su ID, su propietario
 * o la fecha de creación del objeto.
 */
public class Entity {

    // Identificador de la entidad.
    protected String objectId;

    // Identificador del usuario propietario de la entidad.
    protected String ownerId;

    // Fecha de creación del objeto en el backend.
    protected Date created;

    public String getObjectId() {
        return objectId;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    public String getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(String ownerId) {
        this.ownerId = ownerId;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }
}
