package edu.uoc.jsev.b4b.data.backendless.model;

import java.util.Objects;

/**
 * Entidad de negocio "Idioma", que se persiste en el backend.
 * Contiene únicamente datos maestros.
 */
public class Idioma extends Entity {

    // Nombre del idioma.
    private String nombre;

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    /**
     * Sobrescribimos equals para considerar que dos idiomas
     * son iguales si sus nombres coinciden.
     */
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Idioma idioma = (Idioma) o;
        return Objects.equals(nombre, idioma.nombre);
    }

    @Override
    public int hashCode() {
        return Objects.hash(this.objectId, this.nombre);
    }
}
