package edu.uoc.jsev.b4b.data.backendless.model;

/**
 * Entidad de negocio "Intercambio", que se persiste en el backend.
 */
public class Intercambio extends Entity {

    // Constante para el estado "pendiente".
    public static final int STATE_PENDING = 0;

    // Cosntante para el estado "aceptado".
    public static final int STATE_ACCEPTED = 1;

    // Constante para el estado "cancelado".
    public static final int STATE_CANCELED = 2;

    // Nombres de las columnas de la tabla asociada a la entidad en el backend.
    public static final String SOURCE_BOOK_KEY = "libroOrigen";
    public static final String DESTINATION_BOOK_KEY = "libroDestino";

    // Estado del intercambio.
    private Integer estado;

    // Nombre del usuario que inicia el intercambio.
    private String usuarioOrigen;

    // Libro solicitado por el destinatario al usuario origen del intercambio.
    private Libro libroOrigen;

    // Valoración (1-5) dada por el usuario destinatario del intercambio al origen.
    private Integer valoracionOrigen;

    // Nombre del usuario destinatario de la solicitud de intercambio.
    private String usuarioDestino;

    // Libro solicitado al usuario destinatario del intercambio.
    private Libro libroDestino;

    // Valoración (1-5) dada por el usuario origen del intercambio al destinatario.
    private Integer valoracionDestino;

    public Integer getEstado() {
        return estado;
    }

    public void setEstado(Integer estado) {
        this.estado = estado;
    }

    public String getUsuarioOrigen() {
        return usuarioOrigen;
    }

    public void setUsuarioOrigen(String usuarioOrigen) {
        this.usuarioOrigen = usuarioOrigen;
    }

    public Libro getLibroOrigen() {
        return libroOrigen;
    }

    public void setLibroOrigen(Libro libroOrigen) {
        this.libroOrigen = libroOrigen;
    }

    public Integer getValoracionOrigen() {
        return valoracionOrigen;
    }

    public void setValoracionOrigen(Integer valoracionOrigen) {
        this.valoracionOrigen = valoracionOrigen;
    }

    public String getUsuarioDestino() {
        return usuarioDestino;
    }

    public void setUsuarioDestino(String usuarioDestino) {
        this.usuarioDestino = usuarioDestino;
    }

    public Libro getLibroDestino() {
        return libroDestino;
    }

    public void setLibroDestino(Libro libroDestino) {
        this.libroDestino = libroDestino;
    }

    public Integer getValoracionDestino() {
        return valoracionDestino;
    }

    public void setValoracionDestino(Integer valoracionDestino) {
        this.valoracionDestino = valoracionDestino;
    }
}
