package edu.uoc.jsev.b4b.data.backendless.model;

/**
 * Entidad de negocio "Libro", que se persiste en el backend.
 */
public class Libro extends Entity {

    // Constante para el estado "malo".
    public static final int STATE_BAD = 0;

    // Constante para el estado "reglar".
    public static final int STATE_REGULAR = 1;

    // Constante para el estado "bueno".
    public static final int STATE_GOOD = 2;

    // Título del libro.
    private String titulo;

    // Autor del libro.
    private String autor;

    // Editorial del libro.
    private String editorial;

    // Código ISBN del libro.
    private String isbn;

    // Género literario del libro.
    private String genero;

    // Idioma del libro.
    private String idioma;

    // Estado en que se encuentra el libro.
    private int estado;

    // URL de descarga de la fotografía del libro.
    private String foto;

    // Booleano que indica si el libro está dado o no de baja.
    private boolean eliminado;

    public String getTitulo() {
        return titulo;
    }

    public void setTitulo(String titulo) {
        this.titulo = titulo;
    }

    public String getAutor() {
        return autor;
    }

    public void setAutor(String autor) {
        this.autor = autor;
    }

    public String getEditorial() {
        return editorial;
    }

    public void setEditorial(String editorial) {
        this.editorial = editorial;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getGenero() {
        return genero;
    }

    public void setGenero(String genero) {
        this.genero = genero;
    }

    public String getIdioma() {
        return idioma;
    }

    public void setIdioma(String idioma) {
        this.idioma = idioma;
    }

    public int getEstado() {
        return estado;
    }

    public void setEstado(int estado) {
        this.estado = estado;
    }

    public String getFoto() {
        return foto;
    }

    public void setFoto(String foto) {
        this.foto = foto;
    }

    public boolean isEliminado() {
        return eliminado;
    }

    public void setEliminado(boolean eliminado) {
        this.eliminado = eliminado;
    }
}
