package edu.uoc.jsev.b4b.data.messaging;

/**
 * Tipo enumerado que contiene las plantillas de los diferentes
 * mensajes de correo electrónico enviados por la aplicación.
 */
public enum MailTemplate {

    // Mensaje de intercambio cancelado.
    SWAP_CANCELED("Intercambio cancelado",
            "El usuario %1$s ha cancelado el intercambio que le has solicitado."),
    // Mensaje de valoración recibida.
    SWAP_RATED("Valoración recibida",
            "El usuario %1$s ha valorado un intercambio que ha realizado contigo."),
    // Mensaje de nueva solicitud de intercambio recibida.
    SWAP_REQUESTED("Nuevo intercambio",
            "El usuario %1$s te ha solicitado un nuevo intercambio."),
    // Mensaje de intercambio aceptado para el usuario origen del intercambio.
    SWAP_ACCEPTED_SRC("Intercambio aceptado",
            "El usuario %1$s ha aceptado el intercambio que le has solicitado. " +
            "Puedes contactar a través del correo electrónico %2$s"),
    // Mensaje de intercambio aceptado para el usuario destinatario del intercambio.
    SWAP_ACCEPTED_DST("Intercambio aceptado",
            "Has aceptado el intercambio que te ha solicitado el usuario %1$s. " +
            "Puedes contactar a través del correo electrónico %2$s");

    // Asunto del menjaje.
    private final String subject;

    // Cuerpo del mensaje.
    private final String message;

    MailTemplate(String subject, String message) {
        this.subject = subject;
        this.message = message;
    }

    public String getSubject() {
        return subject;
    }

    public String getMessage(String... params) {
        return String.format(message, params);
    }
}
