package edu.uoc.jsev.b4b.data.openlibrary.service;

import retrofit2.Retrofit;
import retrofit2.converter.gson.GsonConverterFactory;

/**
 * Servicio de consulta de libros por ISBN a través de OpenLibrary.
 * Se trata de un cliente REST implementado por medio de Retrofit.
 */
public class OpenLibraryService {

    private static final String API_BASE_URL = "http://openlibrary.org/api/";
    private static OpenLibraryApi instance;

    private OpenLibraryService() {

    }

    // Devuelve la instancia singleton del servicio.
    public static OpenLibraryApi getInstance() {
        if(instance == null) {
            Retrofit retrofit = new Retrofit.Builder()
                    .baseUrl(API_BASE_URL)
                    .addConverterFactory(GsonConverterFactory.create())
                    .build();

            instance = retrofit.create(OpenLibraryApi.class);
        }

        return instance;
    }
}
