package edu.uoc.jsev.b4b.data.uimodel;

import android.support.annotation.NonNull;

/**
 * Entidad de interfaz de usuario para los libros.
 */
public class UiBook extends UiEntity {

    // Autor del libro.
    private String autor;

    // Editorial del libro.
    private String editorial;

    // Estado en que se encuentra el libro (0: malo; 1: regular; 2: bueno).
    private int estado;

    // URL de la fotografía del libro.
    private String foto;

    // Género del libro.
    private String genero;

    // Idioma del libro.
    private String idioma;

    // Código ISBN del libro.
    private String isbn;

    // Título del libro.
    private String titulo;

    // Fecha de alta del libro en la aplicación.
    private String fecha;

    public String getAutor() {
        return autor;
    }

    public void setAutor(String autor) {
        this.autor = autor;
    }

    public String getEditorial() {
        return editorial;
    }

    public void setEditorial(String editorial) {
        this.editorial = editorial;
    }

    public int getEstado() {
        return estado;
    }

    public void setEstado(int estado) {
        this.estado = estado;
    }

    public String getFoto() {
        return foto;
    }

    public void setFoto(String foto) {
        this.foto = foto;
    }

    public String getGenero() {
        return genero;
    }

    public void setGenero(String genero) {
        this.genero = genero;
    }

    public String getIdioma() {
        return idioma;
    }

    public void setIdioma(String idioma) {
        this.idioma = idioma;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getTitulo() {
        return titulo;
    }

    public void setTitulo(String titulo) {
        this.titulo = titulo;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    /**
     * Los libros se ordenan en las colecciones
     * alfabéticamente por su título.
     */
    @Override
    public int compareTo(@NonNull UiEntity uiEntity) {
        return titulo.compareTo(((UiBook) uiEntity).getTitulo());
    }
}
