package edu.uoc.jsev.b4b.ui.adapter.map;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.model.Marker;

import edu.uoc.jsev.b4b.R;

/**
 * Adaptador para mostrar información sobre los usuarios
 * al pulsar sobre los marcadores ubicados sobre el mapa.
 */
public class MapInfoWindowAdapter implements GoogleMap.InfoWindowAdapter {

    // Layout personalizado.
    private final View mInfoWindow;

    public MapInfoWindowAdapter(Context context) {
        // Inflamos el layout personalizado.
        mInfoWindow = LayoutInflater.from(context).inflate(R.layout.map_marker_info, null);
    }

    @Override
    public View getInfoWindow(Marker marker) {
        // Devolvemos null para mostrar el formato
        // por defecto del bocadillo.
        return null;
    }

    @Override
    public View getInfoContents(Marker marker) {
        // Título de marcador (nombre del usuario).
        TextView title = mInfoWindow.findViewById(R.id.title);
        title.setText(marker.getTitle());

        // Subtítulo del marcador (número de libros
        // y valoración media, en una línea cada uno).
        TextView snippet = mInfoWindow.findViewById(R.id.snippet);
        snippet.setText(marker.getSnippet());

        return mInfoWindow;
    }
}
