package edu.uoc.jsev.b4b.ui.adapter.recyclerview;

import java.util.ArrayList;
import java.util.List;

import edu.uoc.jsev.b4b.data.uimodel.UiEntity;
import edu.uoc.jsev.b4b.ui.base.BasePresenter;

/**
 * Clase base de implementación del presentador
 * de aquellas pantallas que contienen listados
 * gestionados por un RecyclerView.
 */
public abstract class RecyclerViewPresenter extends BasePresenter implements RecyclerViewContract.Presenter {

    // Lista de respaldo para almacenar los elementos del listado.
    protected List<? extends UiEntity> mDataList;

    // Vista asociada al presentador.
    protected RecyclerViewContract.View mView;

    public RecyclerViewPresenter(RecyclerViewContract.View view) {
        this.mView = view;
        this.mDataList = new ArrayList<>();
    }

    /**
     * @see RecyclerViewContract.Presenter#getDataCount()
     */
    @Override
    public int getDataCount() {
        return mDataList.size();
    }

    /**
     * @see RecyclerViewContract.Presenter#dataClicked(UiEntity)
     */
    @Override
    public void dataClicked(UiEntity data) {
        mView.navigateToDetail(data);
    }
}
