package edu.uoc.jsev.b4b.ui.base;

import edu.uoc.jsev.b4b.data.backendless.service.BookService;
import edu.uoc.jsev.b4b.data.backendless.service.CommonsService;
import edu.uoc.jsev.b4b.data.backendless.service.UserService;

/**
 * Implementación base de la que extienden todas las implementaciones
 * de interactores de la aplicación relacionados con la gestión de libros.
 * Implementa las funcionalidades comunes a todos ellos.
 */
public abstract class BaseBooksInteractorImpl extends BaseInteractorImpl implements BaseBooksInteractor {

    // Servicio de acceso al repositorio de libros.
    protected BookService mBookService;

    protected BaseBooksInteractorImpl(UserService userService, CommonsService commonsService, BookService bookService) {
        super(userService, commonsService);
        this.mBookService = bookService;
    }

    /**
     * @see BaseBooksInteractor#getBookStateBad()
     */
    @Override
    public int getBookStateBad() {
        return mBookService.getStateBad();
    }

    /**
     * @see BaseBooksInteractor#getBookStateRegular()
     */
    @Override
    public int getBookStateRegular() {
        return mBookService.getStateRegular();
    }

    /**
     * @see BaseBooksInteractor#getBookStateGood()
     */
    @Override
    public int getBookStateGood() {
        return mBookService.getStateGood();
    }
}
