package edu.uoc.jsev.b4b.ui.base;

/**
 * Implementación base de la que extienden todas las implementaciones
 * de presentadores de la aplicación.
 * Implementa las funcionalidades comunes a todos ellos.
 */
public abstract class BasePresenter implements BaseContract.Presenter {

    /**
     * @see BaseContract.Presenter#setup()
     */
    @Override
    public void setup() {
        // Por defecto no hacemos nada.
    }

    /**
     * @see BaseContract.Presenter#backButtonPressed()
     */
    @Override
    public void backButtonPressed() {
        // Por defecto no hacemos nada.
    }

    /**
     * @see BaseContract.Presenter#upButtonPressed()
     */
    @Override
    public void upButtonPressed() {
        // Por defecto, hacemos lo mismo que al pulsar "Back".
        backButtonPressed();
    }
}
