package edu.uoc.jsev.b4b.ui.base;

/**
 * Interfaz de la que extienden todos los interactores de la aplicación
 * relacionados con la gestión de intercambios.
 * Ofrece una serie de funcionalidades comunes a todos ellos.
 */
public interface BaseSwapsInteractor extends BaseInteractor {
    /**
     * Devuelve el código asociado al estado "pendiente".
     * @return El código asociado al estado "pendiente".
     */
    int getSwapStatePending();

    /**
     * Devuelve el código asociado al estado "aceptado".
     * @return El código asociado al estado "aceptado".
     */
    int getSwapStateAccepted();

    /**
     * Devuelve el código asociado al estado "cancelado".
     * @return El código asociado al estado "cancelado".
     */
    int getSwapStateCanceled();
}
