package edu.uoc.jsev.b4b.ui.base;

import edu.uoc.jsev.b4b.data.backendless.service.CommonsService;
import edu.uoc.jsev.b4b.data.backendless.service.SwapService;
import edu.uoc.jsev.b4b.data.backendless.service.UserService;

/**
 * Implementación base de la que extienden todas las implementaciones
 * de interactores de la aplicación relacionados con la gestión de intercambios.
 * Implementa las funcionalidades comunes a todos ellos.
 */
public abstract class BaseSwapsInteractorImpl extends BaseInteractorImpl implements BaseSwapsInteractor {

    // Servicio de acceso al repositorio de intercambios.
    protected SwapService mSwapService;

    protected BaseSwapsInteractorImpl(UserService userService, CommonsService commonsService, SwapService swapService) {
        super(userService, commonsService);
        this.mSwapService = swapService;
    }

    /**
     * @see BaseSwapsInteractor#getSwapStatePending()
     */
    @Override
    public int getSwapStatePending() {
        return mSwapService.getStatePending();
    }

    /**
     * @see BaseSwapsInteractor#getSwapStateCanceled()
     */
    @Override
    public int getSwapStateCanceled() {
        return mSwapService.getStateCanceled();
    }

    /**
     * @see BaseSwapsInteractor#getSwapStateAccepted()
     */
    @Override
    public int getSwapStateAccepted() {
        return mSwapService.getStateAccepted();
    }
}
