package edu.uoc.jsev.b4b.ui.login;

import edu.uoc.jsev.b4b.data.ServiceCallback;
import edu.uoc.jsev.b4b.ui.base.BaseInteractor;

/**
 * Interfaz del interactor de la pantalla de autenticación.
 */
public interface LoginInteractor extends BaseInteractor {
    /**
     * Verifica las credenciales de un usuario para poder acceder a la aplicación.
     * @param email Email del usuario.
     * @param password Contraseña del usuario.
     * @param callback Callback al que se devuelve la respuesta del servidor.
     *                 Si la autenticación es correcta se informa al callback
     *                 por medio de su método onSuccess. Si la autenticación
     *                 falla o se produce algún error se informa al callback
     *                 por medio de su método onError.
     */
    void login(String email, String password, ServiceCallback<Void> callback);
}
