package edu.uoc.jsev.b4b.ui.login;

import edu.uoc.jsev.b4b.data.ServiceCallback;
import edu.uoc.jsev.b4b.data.backendless.service.CommonsService;
import edu.uoc.jsev.b4b.data.backendless.service.UserService;
import edu.uoc.jsev.b4b.ui.base.BaseInteractorImpl;

/**
 * Clase de implementación del interactor de la pantalla de autenticación.
 */
public class LoginInteractorImpl extends BaseInteractorImpl implements LoginInteractor {

    // Instancia singleton.
    private static LoginInteractor instance;

    private LoginInteractorImpl(UserService userService, CommonsService commonsService) {
        super(userService, commonsService);
    }

    // Devuelve el singleton.
    public static LoginInteractor getInstance(UserService userService, CommonsService commonsService) {
        if (instance == null) {
            instance = new LoginInteractorImpl(userService, commonsService);
        }
        return instance;
    }

    /**
     * @see LoginInteractor#login(String, String, ServiceCallback)
     */
    @Override
    public void login(String email, String password, ServiceCallback<Void> callback) {
        mUserService.login(email, password, callback);
    }
}
