package edu.uoc.jsev.b4b.ui.main;

import edu.uoc.jsev.b4b.ui.base.BaseInteractor;
import edu.uoc.jsev.b4b.data.ServiceCallback;

/**
 * Interfaz del interactor de la pantalla principal.
 */
public interface MainInteractor extends BaseInteractor {
    /**
     * Cierra la sesión del usuario actualmente autenticado en la aplicación.
     * @param callback Callback al que se devuelve la respuesta del servidor.
     *                 Si la desconexión es correcta se informa al callback
     *                 por medio de su método onSuccess. Si se produce algún
     *                 error en la desconexión se informa al callback a través
     *                 de su método onError.
     */
    void logout(ServiceCallback<Void> callback);
}
