package edu.uoc.jsev.b4b.ui.main;

import edu.uoc.jsev.b4b.ui.base.BaseInteractorImpl;
import edu.uoc.jsev.b4b.data.ServiceCallback;
import edu.uoc.jsev.b4b.data.backendless.service.CommonsService;
import edu.uoc.jsev.b4b.data.backendless.service.UserService;

/**
 * Clase de implementación del interactor de la pantalla principal.
 */
public class MainInteractorImpl extends BaseInteractorImpl implements MainInteractor {

    // Instancia singleton.
    private static MainInteractor instance;

    private MainInteractorImpl(UserService userService, CommonsService commonsService) {
        super(userService, commonsService);
    }

    // Devuelve el singleton.
    public static MainInteractor getInstance(UserService userService, CommonsService commonsService) {
        if (instance == null) {
            instance = new MainInteractorImpl(userService, commonsService);
        }
        return instance;
    }

    /**
     * @see MainInteractor#logout(ServiceCallback)
     */
    @Override
    public void logout(ServiceCallback<Void> callback) {
        mUserService.logout(callback);
    }
}
