package edu.uoc.jsev.b4b.ui.map.search;

import edu.uoc.jsev.b4b.data.backendless.service.CommonsService;
import edu.uoc.jsev.b4b.data.backendless.service.UserService;
import edu.uoc.jsev.b4b.ui.base.BaseInteractorImpl;

/**
 * Clase de implementación del interactor del filtro de búsqueda de usuarios.
 * No incluye ningún método adicional, pero se crea por mantener
 * la misma jerarquía que el resto de pantallas.
 */
public class SearchInteractorImpl extends BaseInteractorImpl implements SearchInteractor {

    // Instancia singleton.
    private static SearchInteractor instance;

    private SearchInteractorImpl(UserService userService, CommonsService commonsService) {
        super(userService, commonsService);
    }

    // Devuelve el singleton.
    public static SearchInteractor getInstance(UserService userService, CommonsService commonsService) {
        if (instance == null) {
            instance = new SearchInteractorImpl(userService, commonsService);
        }
        return instance;
    }
}
