package edu.uoc.jsev.b4b.ui.map.userdetail;

import edu.uoc.jsev.b4b.data.backendless.service.BookService;
import edu.uoc.jsev.b4b.data.backendless.service.CommonsService;
import edu.uoc.jsev.b4b.data.backendless.service.UserService;
import edu.uoc.jsev.b4b.ui.mybooks.MyBooksInteractorImpl;

/**
 * Clase de implementación del interactor de la pantalla de detalle de usuario.
 * No incluye ningún método adicional, pero se crea por mantener
 * la misma jerarquía que el resto de pantallas.
 */
public class UserDetailInteractorImpl extends MyBooksInteractorImpl implements UserDetailInteractor {

    // Instancia singleton.
    private static UserDetailInteractor instance;

    private UserDetailInteractorImpl(UserService userService,
                                     CommonsService commonsService,
                                     BookService bookService) {
        super(userService, commonsService, bookService);
    }

    // Devuelve el singleton.
    public static UserDetailInteractor getInstance(UserService userService,
                                                   CommonsService commonsService,
                                                   BookService bookService) {
        if (instance == null) {
            instance = new UserDetailInteractorImpl(userService, commonsService, bookService);
        }
        return instance;
    }
}
