package edu.uoc.jsev.b4b.ui.mybooks;

import java.util.List;

import edu.uoc.jsev.b4b.data.ServiceCallback;
import edu.uoc.jsev.b4b.data.uimodel.UiBook;
import edu.uoc.jsev.b4b.ui.base.BaseBooksInteractor;

/**
 * Interfaz del interactor de la pantalla del listado de libros.
 */
public interface MyBooksInteractor extends BaseBooksInteractor {
    /**
     * Obtiene la lista de libros del usuario pasado como parámetro.
     *
     * @param userId ID del usuario.
     * @param callback Callback al que se devuelve la respuesta del servidor.
     *                 Si la petición tiene éxito se envía al callback la lista
     *                 de libros del usuario.
     */
    void getUserBooks(String userId, ServiceCallback<List<UiBook>> callback);
}
