package edu.uoc.jsev.b4b.ui.registration;

import edu.uoc.jsev.b4b.data.ServiceCallback;
import edu.uoc.jsev.b4b.data.uimodel.UiUser;
import edu.uoc.jsev.b4b.ui.base.BaseInteractor;

/**
 * Interfaz del interactor de la pantalla de registro.
 */
public interface RegistrationInteractor extends BaseInteractor {
    /**
     * Registra una nueva cuenta de usuario. Si el proceso de registro
     * es correcto, se autentica también al usuario.
     * @param usuario Nuevo usuario a registrar.
     * @param callback Callback al que se devuelve la respuesta del servidor.
     *                 Si el registro es correcto se informa al callback
     *                 por medio de su método onSuccess. Si el registro
     *                 falla o se produce algún error se informa al callback
     *                 por medio de su método onError.
     */
    void createAccount(UiUser usuario, ServiceCallback<Void> callback);
}
