package edu.uoc.jsev.b4b.ui.splash;

import android.content.Intent;
import android.os.Bundle;

import edu.uoc.jsev.b4b.ui.base.BaseActivity;
import edu.uoc.jsev.b4b.ui.login.LoginActivity;
import edu.uoc.jsev.b4b.Injection;

/**
 * Actividad para mostrar el splash al arrancar la aplicación.
 */
public class SplashActivity extends BaseActivity implements SplashContract.View {

    // Presentador de la actividad.
    private SplashContract.Presenter mPresenter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // Inyectamos el presentador e inicializamos la vista.
        mPresenter = Injection.provideSplashPresenter(this);
        mPresenter.setup();
    }

    /**
     * @see SplashContract.View#navigateToLogin()
     */
    @Override
    public void navigateToLogin() {
        startActivity(new Intent(this, LoginActivity.class));
        finish();
    }
}
