package edu.uoc.jsev.b4b.ui.splash;

import edu.uoc.jsev.b4b.ui.base.BaseContract;

/**
 * Contrato entre la vista y el presentador de la pantalla de splash.
 */
public interface SplashContract {

    /**
     * Vista de la pantalla de splash.
     */
    interface View extends BaseContract.View {
        /**
         * Navega desde la pantalla de splash a la de login.
         */
        void navigateToLogin();
    }

    /**
     * Presentador de la pantalla de splash.
     */
    interface Presenter extends BaseContract.Presenter {
        // No incluye ningún método adicional, pero se crea
        // la interfaz por mantener la misma jerarquía
        // que el resto de pantallas.
    }
}
