package edu.uoc.jsev.b4b.ui.splash;

import edu.uoc.jsev.b4b.data.backendless.service.CommonsService;
import edu.uoc.jsev.b4b.data.backendless.service.UserService;
import edu.uoc.jsev.b4b.ui.base.BaseInteractorImpl;

/**
 * Clase de implementación del interactor de la pantalla de splash.
 * No incluye ningún método adicional, pero se crea por mantener
 * la misma jerarquía que el resto de pantallas.
 */
public class SplashInteractorImpl extends BaseInteractorImpl implements SplashInteractor {

    // Instancia singleton.
    private static SplashInteractor instance;

    private SplashInteractorImpl(UserService userService, CommonsService commonsService) {
        super(userService, commonsService);
    }

    // Devuelve el singleton.
    public static SplashInteractor getInstance(UserService userService, CommonsService commonsService) {
        if (instance == null) {
            instance = new SplashInteractorImpl(userService, commonsService);
        }
        return instance;
    }
}
