package edu.uoc.jsev.b4b.ui.swaps;

import java.util.List;

import edu.uoc.jsev.b4b.data.ServiceCallback;
import edu.uoc.jsev.b4b.data.uimodel.UiSwap;
import edu.uoc.jsev.b4b.ui.base.BaseSwapsInteractor;

/**
 * Interfaz del interactor de la pantalla del listado de intercambios.
 */
public interface SwapsInteractor extends BaseSwapsInteractor {
    /**
     * Obtiene la lista de intercambios en los que participa
     * el usuario pasado como parámetro, bien como origen o
     * bien como destinatario.
     * @param userId ID del usuario.
     * @param callback Callback al que se devuelve la respuesta del servidor.
     *                 Si la petición tiene éxito se envía al callback la lista
     *                 de intercambios en los que participa el usuario.
     */
    void getUserSwaps(String userId, ServiceCallback<List<UiSwap>> callback);
}
