package edu.uoc.jsev.b4b.ui.swaps.swapdetail.rating;


import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.widget.RatingBar;

import edu.uoc.jsev.b4b.R;
import edu.uoc.jsev.b4b.ui.dialog.AlertDialogFragment;

/**
 * Fragmento para generar una ventana de diálogo con una barra de valoración.
 */
public class RatingDialogFragment extends AlertDialogFragment {

    // Referencia a la barra de valoración.
    private RatingBar mRatingView;

    public RatingDialogFragment() {

    }

    // Métodos fábrica.
    public static RatingDialogFragment newInstance(int titleResId, int messageResId) {
        return newInstance(getArgs(titleResId, messageResId, R.layout.dialog_rate));
    }

    public static RatingDialogFragment newInstance(int titleResId, int messageResId, int layoutResId) {
        return newInstance(getArgs(titleResId, messageResId, layoutResId));
    }

    @NonNull
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        AlertDialog alertDialog = (AlertDialog) super.onCreateDialog(savedInstanceState);

        // Configuramos el layout personalizado del diálogo.
        mRatingView = mCustomView.findViewById(R.id.rating);

        // Obligamos a que la valoración mínima seleccionable sea 1.
        mRatingView.setOnRatingBarChangeListener(new RatingBar.OnRatingBarChangeListener() {
            @Override
            public void onRatingChanged(RatingBar ratingBar, float rating, boolean fromUser) {
                if(fromUser && rating < 1f) {
                    mRatingView.setRating(1f);
                }
            }
        });

        // Callback para el botón positivo. El diálogo envía al callback el valor introducido en la valoración.
        alertDialog.setButton(AlertDialog.BUTTON_POSITIVE, getString(android.R.string.ok), new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialogInterface, int i) {
                mListener.onDialogPositiveClick(getTag(), mRatingView.getRating());
            }
        });

        return alertDialog;
    }

    private static RatingDialogFragment newInstance(Bundle args) {
        RatingDialogFragment fragment = new RatingDialogFragment();
        fragment.setArguments(args);
        return fragment;
    }
}
