package edu.uoc.jsev.b4b;

import org.junit.Test;

import edu.uoc.jsev.b4b.util.MapUtils;

import static org.junit.Assert.assertEquals;

/**
 * Tests unitarios para la clase de utilidades
 * @see MapUtils
 */
public class MapUtilsTest {

    @Test
    public void distance_svqOdb() {
        double svqLat = 37.40046;
        double svqLon = -5.99832;
        double odbLat = 37.878906;
        double odbLon = -4.779387;
        assertEquals(119.79, MapUtils.distance(svqLat, svqLon, odbLat, odbLon), 0.01);
    }

    @Test
    public void distance_svqBcn() {
        double svqLat = 37.40046;
        double svqLon = -5.99832;
        double bcnLat = 41.40186;
        double bcnLon = 2.137031;
        assertEquals(828.04, MapUtils.distance(svqLat, svqLon, bcnLat, bcnLon), 0.01);
    }

    @Test
    public void zoomLevelFromDistance_defaultDistance() {
        assertEquals(11, MapUtils.getZoomLevelFromDistance(15));
    }

    @Test
    public void zoomLevelFromDistance_svqOdb() {
        assertEquals(8, MapUtils.getZoomLevelFromDistance(120));
    }

    @Test
    public void zoomLevelFromDistance_svqBcn() {
        assertEquals(5, MapUtils.getZoomLevelFromDistance(828));
    }
}
